const express = require('express');
const Circle = require('../models/circle');

const router = express.Router();

router.get('/:radius?', (req, res) => {
    // Get radius from the URL, default to 1 if not provided
    const radius = parseFloat(req.params.radius) || 1;

    // Create a new circle instance
    const circle = new Circle(radius);

    // Render the index page with the circle instance
    res.render('index', { circle });
});

module.exports = router;
